# Visualization
TKV3d
DsgPrs

# DsgPrs_Chamf2dPresentation Class Reference

Framework for display of 2D chamfers.
.

`#include <DsgPrs_Chamf2dPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPntAttach, const gp_Pnt &aPntEnd, const TCollection_ExtendedString &aText)
| Defines the display of elements showing 2D chamfers on shapes. These include the text aText, the point of attachment, aPntAttach and the end point aPntEnd. These arguments are added to the presentation object aPresentation. Their display attributes are defined by the attribute manager aDrawer. .
static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &aPntAttach, const gp_Pnt &aPntEnd, const TCollection_ExtendedString &aText, const DsgPrs_ArrowSide ArrowSide)

Defines the display of texts, symbols and icons used
to present 2D chamfers.
These include the text aText, the point of attachment,
aPntAttach and the end point aPntEnd.
These arguments are added to the presentation
object aPresentation. Their display attributes are
defined by the attribute manager aDrawer. The arrow
at the point of attachment has a display defined by a
value of the enumeration DsgPrs_Arrowside.
.

## Member Function Documentation

static Standard_EXPORT void DsgPrs_Chamf2dPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPntAttach,
|  | const gp_Pnt & | aPntEnd,
|  | const TCollection_ExtendedString & | aText,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) | `[static]`

static Standard_EXPORT void DsgPrs_Chamf2dPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | aPntAttach,
|  | const gp_Pnt & | aPntEnd,
|  | const TCollection_ExtendedString & | aText
| ) | `[static]`

void DsgPrs_Chamf2dPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_Chamf2dPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_Chamf2dPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_Chamf2dPresentation.hxx